export declare function hash(obj: unknown): string;
export type CacheOptions = {
    maxEntries?: number;
    ttl?: number;
};
export declare class Cache {
    private readonly options?;
    private cache;
    private delQueue;
    constructor(options?: CacheOptions | undefined);
    get<C extends new (...args: any[]) => any>(C: C, ...args: ConstructorParameters<C>): InstanceType<C>;
    private clean;
    clear(): void;
}
