import { Cache } from './cache';
import { CreateTranslatorOptions, Dict, FlatDict, MaybePromise } from './types';
export declare class Store<D extends Dict = any, ProvidedArgs extends string = never> {
    options: CreateTranslatorOptions<D, ProvidedArgs>;
    dicts: Map<string, MaybePromise<FlatDict | null>>;
    cache: Cache;
    subs: Set<() => void>;
    constructor(options: CreateTranslatorOptions<D, ProvidedArgs>);
    load(locale: string): MaybePromise<FlatDict | null>;
    loadAll(...locales: string[]): MaybePromise<FlatDict[]>;
    getAll(...locales: string[]): MaybePromise<FlatDict>[];
    subscribe(locales: string[], callback: (dicts?: MaybePromise<FlatDict>[]) => void): () => void;
    clear(): void;
    private notify;
}
